searchNodes=[{"ref":"OLED.html","title":"OLED","type":"module","doc":"OLED is a library to manage the monochrome OLED screen based on chip SSD1306 using SPI comunication."},{"ref":"OLED.Display.html","title":"OLED.Display","type":"behaviour","doc":"Defines a display module When used, the displaly expects an :app as option. The :app should be the app that has the configuration. Example: defmodule MyApp.MyDisplay do use OLED.Display, app: :my_app end Could be configured with: config :my_app, MyApp.MyDisplay, width: 128, height: 64, driver: :ssd1306, type: :spi, device: &quot;spidev0.0&quot;, rst_pin: 25, dc_pin: 24 Configuration: :driver - For now only :ssd1306 is available :type - Type of connection: (i.e.: :spi, :i2c) :width - Display width :height - Display height :rst_pin - GPIO for RESET pin :dc_pin - GPIO for DC pin"},{"ref":"OLED.Display.html#c:clear/0","title":"OLED.Display.clear/0","type":"callback","doc":"Clear the buffer."},{"ref":"OLED.Display.html#c:clear/1","title":"OLED.Display.clear/1","type":"callback","doc":"Clear the buffer putting all the pixels on certain state."},{"ref":"OLED.Display.html#c:display/0","title":"OLED.Display.display/0","type":"callback","doc":"Transfer the display buffer to the screen. You MUST call display() after drawing commands to make them visible on screen."},{"ref":"OLED.Display.html#c:display_frame/2","title":"OLED.Display.display_frame/2","type":"callback","doc":"Transfer a data frame to the display buffer."},{"ref":"OLED.Display.html#c:get_dimensions/0","title":"OLED.Display.get_dimensions/0","type":"callback","doc":"Get display dimensions"},{"ref":"OLED.Display.html#c:line/5","title":"OLED.Display.line/5","type":"callback","doc":"Draw a line."},{"ref":"OLED.Display.html#c:line_h/4","title":"OLED.Display.line_h/4","type":"callback","doc":"Draw an horizontal line (speed optimized)."},{"ref":"OLED.Display.html#c:line_v/4","title":"OLED.Display.line_v/4","type":"callback","doc":"Draw a vertical line (speed optimized)."},{"ref":"OLED.Display.html#c:put_pixel/3","title":"OLED.Display.put_pixel/3","type":"callback","doc":"Put a pixel on the buffer. The pixel can be on or off and be drawed in xor mode (if the pixel is already on is turned off)."},{"ref":"OLED.Display.html#c:rect/5","title":"OLED.Display.rect/5","type":"callback","doc":"Draw a rect"},{"ref":"OLED.Display.Server.html","title":"OLED.Display.Server","type":"module","doc":"Display server"},{"ref":"OLED.Display.Server.html#t:display_frame_opts/0","title":"OLED.Display.Server.display_frame_opts/0","type":"type","doc":""},{"ref":"OLED.Display.Server.html#t:pixel_opts/0","title":"OLED.Display.Server.pixel_opts/0","type":"type","doc":"Pixel options mode - Can be :normal or :xor state - Pixel state"},{"ref":"OLED.Display.Server.html#t:pixel_state/0","title":"OLED.Display.Server.pixel_state/0","type":"type","doc":"Pixel state :on - Pixel High in normal mode :off - Pixel Low in normal mode"},{"ref":"readme.html","title":"OLED","type":"extras","doc":"OLED OLED is a library to manage the monochrome OLED screen based (for now) on chip SSD1306 connected by SPI or I2C. The idea is to support other similar chips also. NOTE: On OLED v0.3.0 the Scenic driver has been moved to scenic_driver_oled."},{"ref":"readme.html#features","title":"OLED - Features","type":"extras","doc":"Graphic primitives [x] Points [x] Lines [x] Rects [ ] Circles [ ] Polygons [ ] Filled Rects [ ] Filled Circles [ ] Filled Polygons [ ] Text rendering Using OLED and Scenic"},{"ref":"readme.html#basic-setup","title":"OLED - Basic Setup","type":"extras","doc":"1. edit your mix.exs def deps do [ {:oled, &quot;~&gt; 0.1.0&quot;} ] end 2. create a display module defmodule MyApp.MyDisplay do use OLED.Display, app: :my_app end 3. add the configuration config :my_app, MyApp.MyDisplay, device: &quot;spidev0.0&quot;, driver: :ssd1306, type: :spi, width: 128, height: 64, rst_pin: 25, dc_pin: 24 4. add your application&#39;s supervision tree defmodule MyApp.Application do use Application def start(_type, _args) do import Supervisor.Spec, warn: false children = [ # Add this line MyApp.MyDisplay ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) end end 5. use it # Draw something MyApp.MyDisplay.rect(0, 0, 127, 63) MyApp.MyDisplay.line(0, 0, 127, 63) MyApp.MyDisplay.line(0, 63, 127, 0) # Display it! MyApp.MyDisplay.display()"},{"ref":"readme.html#displays-configuration","title":"OLED - Displays configuration","type":"extras","doc":"config :my_app, MyApp.MyDisplay, device: &quot;spidev0.0&quot;, # Device (i.e.: `spidev0.0`, `i2c-1`, ...) driver: :ssd1306, # Driver. (Only SSD1306 for now) type: :spi, # Connection type: `:spi` or `:i2c` width: 128, # Display Width height: 64, # Display Height rst_pin: 25, # Reset GPIO pin (SPI only) dc_pin: 24 # DC GPIO pin (SPI only) address: 0x3C # DC GPIO pin (I2C only)"}]